from libcloud.compute.types import Provider

from libcloud.compute.providers import get_driver

from atmosphere import settings

# Openstack

os_driver = get_driver(Provider.OPENSTACK)(
    key=settings.OPENSTACK_ADMIN_KEY,
    secret=settings.OPENSTACK_ADMIN_SECRET,
    secure=False,
    ex_force_auth_url=settings.OPENSTACK_AUTH_URL,
    ex_force_auth_version='2.0_password',
    ex_tenant_name='core-services')

os_driver.list_sizes()

# AWS

aws_driver = get_driver(Provider.EC2_US_EAST)(
    key=settings.AWS_KEY,
    secret=settings.AWS_SECRET)

# NOTE: It's potentially different for other regions. But
#       machines have the same attributes. It's just some
#       regions support m2.small (et. al.) and others don't.
aws_driver.list_sizes()


    
